Notices


Reply
Thread Tools
Posts: 3,037 | Thanked: 12,671 times | Joined on Mar 2010 @ Sofia,Bulgaria
#41
Originally Posted by AapoRantalainen View Post
Yes, this is weird. But now working package is in extras-devel. And package page is: http://maemo.org/packages/package_in...c2-2.1-maemo6/
Is there risk that builder will remove it as a old version? Should I save it to the testing?
You'd better not, the worst that could happen is you'll have to reupload the source. I'll try to find what the problem is and fix it (not only for this package but in general) today. If I have some spare time .
__________________
Never fear. I is here.

720p video support on N900,SmartReflex on N900,Keyboard and mouse support on N900
Nothing is impossible - Stable thumb2 on n900

Community SSU developer
kernel-power developer and maintainer

 

The Following User Says Thank You to freemangordon For This Useful Post:
Posts: 1,151 | Thanked: 2,788 times | Joined on Dec 2010
#42
gonna have a wild guess here, out and about so can't check source at the moment, but is that regression test related to berkeley db. test name includes a 3 suggesting a v3 but we only have libdb 1.85, 4.2 and 4.7 in repo.
 
Posts: 830 | Thanked: 3,356 times | Joined on Mar 2009
#43
Originally Posted by Android_808 View Post
is that regression test related to berkeley db. test name includes a 3 suggesting a v3 but we only have libdb 1.85, 4.2 and 4.7 in repo.
Tests are not failing, but they sometimes freeze on builder. Doesn't sound version issue.
 
Posts: 254 | Thanked: 505 times | Joined on Nov 2011 @ Canada
#44
Looks like the package interface/scripts wants to remove it as an old version:

http://maemo.org/packages/view/python2.7/

and, it also looks like the script to actually remove the debs from the repository is not working on this package either (maybe):

http://repository.maemo.org/extras-d...e/p/python2.7/

maybe (probably) something to do with the "~" character being used in the package name?

Last edited by shawnjefferson; 2013-08-20 at 02:25.
 
Posts: 3,037 | Thanked: 12,671 times | Joined on Mar 2010 @ Sofia,Bulgaria
#45
Originally Posted by shawnjefferson View Post
Looks like the package interface/scripts wants to remove it as an old version:

http://maemo.org/packages/view/python2.7/

and, it also looks like the script to actually remove the debs from the repository is not working on this package either (maybe):

http://repository.maemo.org/extras-d...e/p/python2.7/

maybe (probably) something to do with the "~" character being used in the package name?
Could be, however now KP52 and the others missing from the package interface are finally there, I'll look at python2.7 closely, afaik this is the only package still having problems
__________________
Never fear. I is here.

720p video support on N900,SmartReflex on N900,Keyboard and mouse support on N900
Nothing is impossible - Stable thumb2 on n900

Community SSU developer
kernel-power developer and maintainer

 

The Following 2 Users Say Thank You to freemangordon For This Useful Post:
Posts: 3,037 | Thanked: 12,671 times | Joined on Mar 2010 @ Sofia,Bulgaria
#46
@aapo: maemo8 was cleared from the repos again. I don't see an option, but to remove python2.7 from the repos, that way your next push to autobuilder will start from scratch and hopefully there will be no more problems.

I'll wait for your confirmation before doing that.
__________________
Never fear. I is here.

720p video support on N900,SmartReflex on N900,Keyboard and mouse support on N900
Nothing is impossible - Stable thumb2 on n900

Community SSU developer
kernel-power developer and maintainer

 

The Following 2 Users Say Thank You to freemangordon For This Useful Post:
Posts: 830 | Thanked: 3,356 times | Joined on Mar 2009
#47
Originally Posted by freemangordon View Post
@aapo: maemo8 was cleared from the repos again. I don't see an option, but to remove python2.7 from the repos,

I'll wait for your confirmation before doing that.
Yes, do that.
 

The Following 4 Users Say Thank You to AapoRantalainen For This Useful Post:
Posts: 3,037 | Thanked: 12,671 times | Joined on Mar 2010 @ Sofia,Bulgaria
#48
Originally Posted by AapoRantalainen View Post
Yes, do that.
Done, please reupload maemo8.

But please, remove "~" from the version or replace it with "-", I suspect that tilda to be the reason for the problems

EDIT:

Seems you uploaded maemo9 with that "~" still in the version string. However, lets see how it'll go

EDIT2:

Seems everything went fine
__________________
Never fear. I is here.

720p video support on N900,SmartReflex on N900,Keyboard and mouse support on N900
Nothing is impossible - Stable thumb2 on n900

Community SSU developer
kernel-power developer and maintainer


Last edited by freemangordon; 2013-11-24 at 21:35.
 

The Following 5 Users Say Thank You to freemangordon For This Useful Post:
Posts: 830 | Thanked: 3,356 times | Joined on Mar 2009
#49
Originally Posted by freemangordon View Post
Seems you uploaded maemo9 with that "~" still in the version string. However, lets see how it'll go
I was too anxious and uploaded before reading your post, so there are still that ~ on version number.

http://maemo.org/packages/package_in...c2-2.1-maemo9/

But I updated changelog to contain every maemo tuning.
 

The Following 2 Users Say Thank You to AapoRantalainen For This Useful Post:
Posts: 7 | Thanked: 0 times | Joined on Apr 2014
#50
Hello all!
I want installing python for example version 2.7 or 3.2 on my N900.
I installed and every think is ok, but how I can new version installed set on default python to run?
for example after install python v2.7 when I type in x-terminal "python" I see old version(2.5)! every time I must type "python2.7 xxx.py" for run?
How I can replace new version with old version? when type and run "python" in x-terminal run python v2.7?

Thank you
 
Reply

Thread Tools

 
Forum Jump


All times are GMT. The time now is 13:30.